/*-
 *  Copyright 2020 Beuth Hochschule für Technik Berlin, Hochschule für Technik Stuttgart
 * 
 *  This file is part of CityDoctor2.
 *
 *  CityDoctor2 is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  CityDoctor2 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with CityDoctor2.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.hft.stuttgart.citydoctor2.healer.genetic;

public class MetaFitnessValues {
	
	int numberOfPolygonsWithPlanarityIssues = 0;
	int numberOfPolygonsWithoutPlanarityIssues = 0;
	int numberOfPolygonsWithOtherErrors = 0;
	int numberOfPolygonsWithNoErrors = 0;
	
	public void reset() {
		numberOfPolygonsWithPlanarityIssues = 0;
		numberOfPolygonsWithoutPlanarityIssues = 0;
		numberOfPolygonsWithOtherErrors = 0;
		numberOfPolygonsWithNoErrors = 0;
	}
	
	public MetaFitnessValues copy() {
		MetaFitnessValues copy = new MetaFitnessValues();
		copy.numberOfPolygonsWithNoErrors = numberOfPolygonsWithNoErrors;
		copy.numberOfPolygonsWithOtherErrors = numberOfPolygonsWithOtherErrors;
		copy.numberOfPolygonsWithoutPlanarityIssues = numberOfPolygonsWithoutPlanarityIssues;
		copy.numberOfPolygonsWithPlanarityIssues = numberOfPolygonsWithPlanarityIssues;
		return copy;
	}

}
